CREATE OR REPLACE VIEW V_USER_RIGHTS  AS 
SELECT CONCAT(R.NUSER, R.PRAVICA) AS ID, R.NUSER, R.PRAVICA, N.KOMENTAR AS OPIS, N.INTERNI_OPIS
FROM RIGHTS R JOIN NRIGHTS N ON R.PRAVICA=N.PRAVICA
;

ALTER TABLE IMPORT_LINKS
  ADD DOCUMENT_NUMBER VARCHAR2(100 CHAR)
;

DROP VIEW V_IMPORT_LINKS
;

CREATE OR REPLACE VIEW V_IMPORT_LINKS AS 
SELECT * FROM IMPORT_LINKS
;

UPDATE IMPORT_LINKS 
SET DOCUMENT_NUMBER = (SELECT COALESCE(N_LISTINE, N_RACUNA) FROM SALDKONT WHERE SALDKONT.ID_SALDKONT=IMPORT_LINKS.INT_ID)
WHERE DOCUMENT_NUMBER IS NULL AND TABLE_NAME='SALDKONT'
;

UPDATE IMPORT_LINKS 
SET DOCUMENT_NUMBER = (SELECT STEVILKA FROM S_DOKUMENT WHERE S_DOKUMENT.ID_DOKUMENT=IMPORT_LINKS.INT_ID)
WHERE DOCUMENT_NUMBER IS NULL AND TABLE_NAME='S_DOKUMENT'
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1930, SYSDATE, '5.5', 1850, 'V_USER_RIGHTS')
;
