ALTER TABLE CONTACT
ADD ID_EMAIL_TEMPLATE NUMBER;

CREATE TABLE CONTACT_ENQUIRY (
ID_CONTACT_ENQUIRY NUMBER NOT NULL,
ID_LASTNIKA NUMBER,
ID_CONTACT NUMBER,
CONTACT_NAME VARCHAR2(200 CHAR),
CONTACT_EMAIL VARCHAR2(200 CHAR),
SUBJECT VARCHAR2(100 CHAR),
"COMMENT" VARCHAR2(500 CHAR),
DATE_CREATED DATE,
CONSTRAINT CONTACT_ENQUIRY_ID_LASTNIKA_FK FOREIGN KEY (ID_LASTNIKA) REFERENCES KUPCI(ID),
CONSTRAINT CONTACT_ENQUIRY_ID_CONTACT_FK FOREIGN KEY (ID_CONTACT) REFERENCES CONTACT(ID_CONTACT),
CONSTRAINT CONTACT_ENQUIRY_PK PRIMARY KEY(ID_CONTACT_ENQUIRY)
);

CREATE SEQUENCE CONTACT_ENQUIRY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_CONTACT_ENQUIRY_ID_LASTNIKA ON CONTACT_ENQUIRY(ID_LASTNIKA);

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT, TABLE_NAME, COLUMN_NAME) VALUES
('PCU', 'Portal contact us', 'Portal contact us', 'Y', 'CONTACT_ENQUIRY', 'ID_CONTACT_ENQUIRY');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2104, SYSDATE, '5.5', 2024, 'Contact enquiry')
;