ALTER TABLE FB_VIEW_PRODUCT
ADD KEEP_ASPECT_RATIO VARCHAR2(1 CHAR);

DROP VIEW V_FB_VIEW_PRODUCT;

CREATE OR REPLACE VIEW V_FB_VIEW_PRODUCT AS (
SELECT FP.ID_FB_VIEW_PRODUCT, FP.ID_FB_VIEW_GROUP, FP.ID_ARTIKEL, FP.SORT, FP.COLOR, FP.FILE_NAME, FP.FILE_DATA, FP.FILE_REFERENCE, FP.CAPTION, FP.KEEP_ASPECT_RATIO,
FG.ID_FB_LOCATION, FG.DESCRIPTION AS GROUP_DESCRIPTION, FG.ACTIVE AS GROUP_ACTIVE, S.NAZIV1 AS PRODUCT_DESCRIPTION, S.AUTO_NOTE AS PRODUCT_AUTO_NOTE
FROM FB_VIEW_PRODUCT FP
LEFT OUTER JOIN FB_VIEW_GROUP FG ON FG.ID_FB_VIEW_GROUP = FP.ID_FB_VIEW_GROUP
LEFT OUTER JOIN S_ARTIKLI S ON S.ID_ARTIKEL = FP.ID_ARTIKEL
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2125, SYSDATE, '5.5', 2045, 'FB aspect ratio')
;
