ALTER TABLE SALDKONT
  ADD GOVERMENT_PICTURE BLOB;


DROP VIEW V_RACUN;

CREATE VIEW V_RACUN AS 
SELECT S.ID_SALDKONT AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.ZA_PLACILO AS IZNOS, OP1.OPROSCENO, ND1.NEOBDAVCENO, S.ZA_PLACILO AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT R ON S.ID_SALDKONT=R.ID_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS OPROSCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND S1.DAVEK>0) OR (RD1.ID_OBRACUN IS NOT NULL AND O1.DAV_STOPNJA>0)) GROUP BY RD1.ID_SALDKONT) OP1 ON OP1.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS NEOBDAVCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND S1.DAVEK=0) OR (RD1.ID_OBRACUN IS NOT NULL AND O1.DAV_STOPNJA=0)) GROUP BY RD1.ID_SALDKONT) ND1 ON ND1.ID_SALDKONT=R.ID_SALDKONT
WHERE R.VRSTA_RACUNA IN ('RAC', 'AKO') AND S.ID_SALDKONT_ZAP IS NULL
UNION
SELECT 0 AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.ZA_PLACILO AS IZNOS, 0 AS OPROSCENO, 0 AS NEOBDAVCENO, S.ZA_PLACILO AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT_ZAP Z ON S.ID_SALDKONT_ZAP=S.ID_SALDKONT_ZAP
JOIN SALDKONT R ON R.ID_SALDKONT=Z.ID_PL_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA IN ('AKO')
;

ALTER TABLE EXCHANGE MODIFY IME VARCHAR2(100 CHAR);

CREATE OR REPLACE FORCE VIEW V_FB_MEMBER_DATA (ID, CARDID, MEMBERSHIPNO, NAME, STATUS, CANSIGN, MEMBERS_NOTES, FB_REMARKS, MOBILE_NUMBER, PHOTO, SIGNATURE, TYPE) AS 
SELECT
a1.ID,
a1.CARDID,
a1.MEMBERSHIPNO,
a1.NAME,
a1.STATUS,
a1.CANSIGN,
--a1.MEMBERS_NOTES,
'N/A' AS MEMBERS_NOTES,
a1.FB_REMARKS,
a1.MOBILE_NUMBER,
por.datoteka AS photo,
sig.datoteka AS signature,
'Member'     AS type
FROM
(
SELECT
id,
cardid,
membershipno,
name,
status,
cansign,
LISTAGG( membersnotes, Chr(13)) WITHIN GROUP (ORDER BY membersnotes DESC) AS members_notes,
fb_remarks,
mobile_number
FROM
(
SELECT
k.id, --idkupca
k.yacht_club_id AS CardId,
k.id_member     AS MembershipNo,
CASE WHEN k.ime IS NULL THEN k.priimek ELSE k.priimek ||', '||k.ime END AS Name,
n.opis AS status,
case when app.status='02' then 'Yes' else 'No' end  AS cansign,
CASE WHEN b.belezka IS NULL THEN NULL ELSE b.datumkreiranja||': '||b.belezka END AS membersnotes,
k.fb_remarks,
vn.mobile_phone as mobile_number
--k.gsm as mobile_number
FROM
kupci k
JOIN application_form app ON app.id_kupca=k.id
LEFT OUTER JOIN nnmembstatus n ON n.sifra=app.status
LEFT OUTER JOIN kupcibelezke b ON b.idkupca=k.id
left outer join v_naslovi vn on vn.id_kupca=k.id
WHERE app.id=(SELECT MAX(id) FROM application_form
WHERE application_form.id_kupca=k.id)
)
GROUP BY
id,
cardid,
membershipno,
name,
status,
cansign,
fb_remarks,
mobile_number
)
a1
LEFT OUTER JOIN (
SELECT
kupci.id,
MAX(por.id_datoteke_kupcev) AS por_id,
MAX(sig.id_datoteke_kupcev) AS sig_id
FROM
kupci
LEFT OUTER JOIN datoteke_kupcev por ON kupci.id=por.id_kupca AND por.vrsta='POR'
LEFT OUTER JOIN datoteke_kupcev sig ON kupci.id=sig.id_kupca AND sig.vrsta='SIG'
HAVING
MAX(por.id_datoteke_kupcev) <>0 OR MAX(sig.id_datoteke_kupcev)<>NULL
GROUP BY kupci.id
) dat ON dat.id=a1.id
LEFT OUTER JOIN datoteke_kupcev por ON por.id_datoteke_kupcev=dat.por_id
LEFT OUTER JOIN datoteke_kupcev sig ON sig.id_datoteke_kupcev=dat.sig_id
UNION ALL
SELECT
a1.ID,
a1.CARDID,
a1.MEMBERSHIPNO,
a1.NAME,
a1.STATUS,
a1.CANSIGN,
--a1.MEMBERS_NOTES,
'N/A' AS MEMBERS_NOTES,
a1.FB_REMARKS,
a1.MOBILE_NUMBER,
por.datoteka AS photo,
sig.datoteka AS signature,
case when a1.odnos='C' then 'Child'
     when a1.odnos='P' then 'Spouse'
     when a1.odnos='W' then 'Crew' else 'Dependent' end AS type
FROM
(
SELECT
id,
cardid,
membershipno,
name,
status,
cansign,
LISTAGG( membersnotes, Chr(13)) WITHIN GROUP (ORDER BY membersnotes DESC) AS members_notes,
fb_remarks,
mobile_number,
odnos
FROM
(
SELECT
dep_kup.id, --idkupca
dep_kup.yacht_club_id AS CardId,
mem.id_member         AS MembershipNo,
CASE WHEN dep_kup.ime IS NULL THEN dep_kup.priimek ELSE dep_kup.priimek||', '||dep_kup.ime END AS Name,
n.opis AS status,
case when app.status='02' and dep.can_sign_invoice='Y' then 'Yes' else 'No' end as cansign,
--CASE WHEN dep.can_sign_invoice='Y' THEN 'Yes' ELSE 'No' END AS cansign,
CASE WHEN b.belezka IS NULL THEN NULL ELSE b.datumkreiranja ||': ' ||b.belezka END AS membersnotes,
dep_kup.fb_remarks,
vn.mobile_phone as mobile_number,
dep.odnos
FROM
kupci mem
JOIN application_form app ON app.id_kupca=mem.id
LEFT OUTER JOIN nnmembstatus n ON n.sifra=app.status
LEFT OUTER JOIN kupcibelezke b ON b.idkupca=mem.id
JOIN kont_osb_lastnik dep ON dep.id_lastnika=mem.id AND dep.depandent='Y' and dep.odnos <>'N' and (dep.velja_do is null or dep.velja_do>sysdate)
JOIN kupci dep_kup ON dep.id_osebe=dep_kup.id
left outer join v_naslovi vn on vn.id_kupca=dep_kup.id
WHERE app.id=(SELECT MAX(id) FROM application_form
WHERE application_form.id_kupca=mem.id)
)
GROUP BY
id,
cardid,
membershipno,
name,
status,
cansign,
fb_remarks,
mobile_number,
odnos
)
a1
LEFT OUTER JOIN (
SELECT
kupci.id,
MAX(por.id_datoteke_kupcev) AS por_id,
MAX(sig.id_datoteke_kupcev) AS sig_id
FROM
kupci
LEFT OUTER JOIN datoteke_kupcev por ON kupci.id=por.id_kupca AND por.vrsta='POR'
LEFT OUTER JOIN datoteke_kupcev sig ON kupci.id=sig.id_kupca AND sig.vrsta='SIG'
HAVING
MAX(por.id_datoteke_kupcev) <>0 OR MAX(sig.id_datoteke_kupcev)<>NULL
GROUP BY kupci.id
) dat ON dat.id=a1.id
LEFT OUTER JOIN datoteke_kupcev por ON por.id_datoteke_kupcev=dat.por_id
LEFT OUTER JOIN datoteke_kupcev sig ON sig.id_datoteke_kupcev=dat.sig_id
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(580, SYSDATE, '5.5', 500, 'Davne blagajne');