CREATE TABLE NDEPARTMENT_KATEGORIJA (
ID NUMBER NOT NULL,
NDEPARTMENT VARCHAR2(3 CHAR) NOT NULL,
ID_KATEGORIJA NUMBER NOT NULL,
CONSTRAINT PK_NDEPARTMENT_KATEGORIJA PRIMARY KEY (ID)
);

CREATE SEQUENCE NDEPARTMENT_KATEGORIJA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE BATCH_PRINT
ADD AUTO_CREATE VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_BATCH_PRINT AS (
SELECT BP.ID_BATCH_PRINT, BP.VRSTA, BP.COMPLETE, BP.CREATE_TIME, BP.REPORT_FILENAME, BP.REPORT_FILTER, BP.REPORT_TRANSLATE, BP.ID_KUPCA, BP.REPORT_PDF, BP.PRIORITY, 
BP.UPORABNIK, BP.SQL_FILENAME, BP.ID_POROCILA, BP.AUTO_CREATE, P.NASLOV_POR AS POROCILA_NASLOV_POR, P.DATOTEKA_POR AS POROCILA_DATOTEKA_POR
FROM BATCH_PRINT BP
LEFT OUTER JOIN POROCILA P ON P.ID_POROCILA = BP.ID_POROCILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (813, SYSDATE, '5.5', 733, 'Batch print 2');