alter table nnpriklj add voltage varchar2(15 char);
alter table nnpriklj add amperage integer;
alter table nnpriklj add euus varchar2(3 char);


Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS)
values ('NN_VOLTAGE','ID','220-240V/50Hz','220-240V/50Hz','220-240V/50Hz','220-240V/50Hz','220-240V/50Hz'); 
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_VOLTAGE','ID','220-240V/60Hz','220-240V/60Hz','220-240V/60Hz','220-240V/50Hz','220-240V/60Hz');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_VOLTAGE','ID','110-127V/60Hz','110-127V/60Hz','110-127V/60Hz','110-127V/60Hz','110-127V/60Hz');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_VOLTAGE','ID','110-127V/50Hz','110-127V/50Hz','110-127V/50Hz','110-127V/60Hz','110-127V/50Hz');

Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','16','16','16','16','16');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','30','30','30','16','30');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','32','32','32','16','32');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','50','50','50','16','50');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','63','63','63','16','63');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','125','125','125','16','125');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','225','225','225','16','225');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','420','420','420','16','420');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_AMPERAGE','ID','630','630','630','16','630');

Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_EUUS','ID','EU','EU','EL.SYSTEM','EU','EU');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values ('NN_EUUS','ID','US','US','EL.SYSTEM','EU','US');

create table nn_voltage (ID varchar2(15 char));
delete from nn_voltage;
insert into nn_voltage (ID) values ('220-240V/50Hz');
insert into nn_voltage (ID) values ('220-240V/60Hz');
insert into nn_voltage (ID) values ('110-127V/60Hz');
insert into nn_voltage (ID) values ('110-127V/50Hz');

create table nn_amperage (ID integer);
delete from nn_amperage;
insert into nn_amperage (ID) values (16);
insert into nn_amperage (ID) values (30);
insert into nn_amperage (ID) values (32);
insert into nn_amperage (ID) values (50);
insert into nn_amperage (ID) values (63);
insert into nn_amperage (ID) values (125);
insert into nn_amperage (ID) values (225);
insert into nn_amperage (ID) values (420);
insert into nn_amperage (ID) values (630);

create table nn_euus (ID varchar2(3 char));
delete from nn_euus;
insert into nn_euus (ID) values ('EU');
insert into nn_euus (ID) values ('US');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (874, SYSDATE, '5.5', 794, 'Elektrika-prikljucki');