CREATE TABLE NNEMAIL_TEMPLATE_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNEMAIL_TEMPLATE_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PCO', 'Portal crane order', 'Portal crane order', 'Y');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('POC', 'Portal offer confirmation', 'Portal offer confirmation', 'Y');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('POR', 'Portal offer rejection', 'Portal offer rejection', 'Y');

ALTER TABLE EMAIL_TEMPLATE
ADD TYPE VARCHAR2(3 CHAR);

CREATE OR REPLACE VIEW V_EMAIL_TEMPLATE AS
SELECT ET.ID_EMAIL_TEMPLATE, ET.VALUE, ET.CONTENT, ET.NAME, ET.RECEIVER, ET.SENDER, ET.SUBJECT, ET.TYPE, ETT.OPIS AS TYPE_OPIS, 
ETT.INTERNI_OPIS AS TYPE_INTERNI_OPIS, ET.DATE_CHANGED, ET.USER_CHANGED, ET.DATE_CREATED, ET.USER_CREATED, ET.ACT
FROM EMAIL_TEMPLATE ET
LEFT OUTER JOIN NNEMAIL_TEMPLATE_TYPE ETT ON ET.TYPE = ETT.SIFRA;


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(493, SYSDATE, '5.5', 413, 'Specificne email predloge');
