-- Added RESTYPE_NAME
CREATE OR REPLACE VIEW V_SC_EVENTRES AS
SELECT ER.*, E.NAME AS EVENT_NAME, ES.SC_RESTYPE_ID, R.RESTYPECODE, R.NAME AS CUSTOM_NAME, R.PLOVILA_ID, R.KUPCI_ID, P.IME AS PLOVILA_IME,
TRIM((CASE WHEN NVL(K.NTITLE, '') = '' THEN '' ELSE K.NTITLE || '.' END) || ' ' || NVL(K.IME, '') || ' ' || NVL(K.PRIIMEK, '')) AS KUPCI_IME,
RT.NAME AS SC_RESTYPE_NAME
FROM SC_EVENTRES ER
JOIN SC_EVENT E ON E.ID = ER.SC_EVENT_ID
JOIN SC_EVRES ES ON ES.ID = ER.SC_EVRES_ID
JOIN SC_RESOURCE R ON R.ID = ER.SC_RESOURCE_ID
JOIN SC_RESTYPE RT ON RT.ID = R.SC_RESTYPE_ID
LEFT OUTER JOIN PLOVILA P ON P.ID = R.PLOVILA_ID
LEFT OUTER JOIN KUPCI K ON K.ID = R.KUPCI_ID;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(507, SYSDATE, '5.5', 427, 'Sailing Centre');