ALTER TABLE PLOVILA_MOTOR
ADD MANUFACTURE_YEAR NUMBER;

CREATE OR REPLACE VIEW V_PLOVILA_MOTOR
AS (
SELECT PM.ID AS ID_PLOVILA_MOTOR, PM.ID_PLOVILA, PM.OLD_CODE, PM.ENGINE_TYPE, PM.ENGINE_TYPE_DESCRIPTION, PM.ENGINE_NUMBER, PM.MANUFACTURE_YEAR, PM.POWER, PM.POWER_UNIT, PM.ENGINE_TYPE_2, PM.FUEL_TYPE, PM.NUM_HOURS,
P.IME AS PLOVILA_IME, TM.OPIS AS TIP_MOTORJA_OPIS, TM.INTERNI_OPIS AS TIP_MOTORJA_INTERNI_OPIS, EM.OPIS AS ENOTA_MOCI_OPIS, EM.INTERNI_OPIS AS ENOTA_MOCI_INTERNI_OPIS,
ET.OPIS AS ENGINE_TYPE_OPIS, ET.INTERNI_OPIS AS ENGINE_TYPE_INTERNI_OPIS, FT.OPIS AS FUEL_TYPE_OPIS, FT.INTERNI_OPIS AS FUEL_TYPE_INTERNI_OPIS
FROM PLOVILA_MOTOR PM
LEFT OUTER JOIN PLOVILA P ON P.ID = PM.ID_PLOVILA
LEFT OUTER JOIN NNTIP_MOTORJA TM ON TM.SIFRA = PM.ENGINE_TYPE
LEFT OUTER JOIN NNENOTA_MOCI EM ON EM.SIFRA = PM.POWER_UNIT
LEFT OUTER JOIN NNENGINE_TYPE ET ON ET.SIFRA = PM.ENGINE_TYPE_2
LEFT OUTER JOIN NNFUEL_TYPE FT ON FT.SIFRA = PM.FUEL_TYPE
);

ALTER TABLE PLOVILA
ADD HULL_ID_NUMBER VARCHAR2(250 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (673, SYSDATE, '5.5', 593, 'Plovila in motorji');